Page MenuHomePhabricator

API method to poll centralized notifications
Closed, ResolvedPublic

Description


Version: 1.20.x
Severity: enhancement

Details

Reference
bz32283

Related Objects

StatusAssignedTask
ResolvedNone
OpenNone
InvalidWikinaut
OpenNone
OpenNone
Resolveddemon
OpenShivanshbindal9
StalledNone
DuplicateNone
DeclinedQuiddity
ResolvedGalorefitz
DeclinedNone
OpenNone
ResolvedNone
OpenNone
OpenShivanshbindal9
OpenNone
OpenShivanshbindal9
ResolvedShivanshbindal9
OpenNone
OpenShivanshbindal9
OpenShivanshbindal9
OpenShivanshbindal9
DeclinedNone
DeclinedNone
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:06 AM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz32283.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Nov 8 2011, 9:07 PM
Reedy added a comment.Nov 8 2011, 9:27 PM

canhasmoarinfo?

brion added a comment.Nov 8 2011, 9:38 PM

Not sure if this should *depend on* or *block* bug 32281 (shared notification infrastructure for user talk, lqt, watchlists, etc).

Need to be able to:

  • fetch a count of 'unseen' notifications
  • fetch a list of recent notifications, indicating which have been previously marked as seen
  • set the last-seen cutoff

Can then be used to do live updates of 'you have new messages' on the web UI, a more detailed display of those (similar to, say, opening the 'notification' dropdown on Facebook).

Will also want long-poll, WebSockets-style, or Server-sent-events variants for more efficient usage, but these all require additional server-side support.

(See also sister bugs for iOS & Android push notification backends.)

Brion:
What's the status of this with Echo and Flow approaching?
After two years, is this still a "high" priority ticket?

Putting priority lower, as the long-term is Echo and Flow.

AFAICT, Echo is the centralized notification system, you can already poll the API, and it has Flow integration for new messages.

Realtime would be nice, but there is a separate task for that (T34284: Update Echo Notifications in real time without page reloads), and the current task specifically asks for polling as its scope.

Mattflaschen-WMF closed this task as Resolved.Nov 26 2014, 4:26 AM
Mattflaschen-WMF claimed this task.
Mattflaschen-WMF removed Mattflaschen-WMF as the assignee of this task.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.